
Infrastructure - Task #6039

Migrate all CN component POMs to Java 1.7 for support of the DataONE API v2

2014-08-12 21:48 - Chris Jones

Status: Closed Start date: 2014-08-19

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2014.30-Block.4.3   

Milestone: None Story Points:  

Product Version: *   

Description

We've decided to require JDK 1.7+ for Java implementations of the DataONE version 2 API.  All software components, particularly in

the CN stack, need to upgrade their POM files to reflect the dependency on JDK 1.7.

Subtasks:

Task # 6050: Fix the compilation error in d1_cn_rest component Closed

Task # 6051: Update bcmail and bcprov jar in cicore components. Closed

  Task # 6052: Update dataone-cn-os-core to install the new version bcmail and bcprov jar... Closed

Related issues:

Related to Infrastructure - Story #6038: DataONE API version 2 needs to be su... Closed 2014-08-12 2015-01-06

Related to Java Client - Story #3849: Modify d1_jibx_extensions to add constr... Rejected 2013-01-18

History

#1 - 2014-08-18 18:10 - Jing Tao

In order to make our stacks work with java 1.7, we need to upgrade jibx from 1.2.4.5 to 1.2.5.

#2 - 2014-08-20 22:26 - Jing Tao

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

All the components in cicore and tools were updated. All building on jenkins dev-channel succeed.
